Revision history for Sys-Syslog

0.32 -- 2012.09.14 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] CPAN-RT#69040: Don't modify @_ in syslog().
        [BUGFIX] Restore compatibility with Perl 5.6.0.
        [DOC] Perl-RT#81858: Fix some spelling errors (Peter J. Acklam).

0.31 -- 2012.08.18 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] Level 'emerg' could not be used since v0.29.
        [BUGFIX] Setting a message facility with syslog() was broken since v0.29
        (Noel Butler).
        [BUGFIX] CPAN-RT#69992: Make setlogsock() only use the requested mechanism,
        restoring way it worked in v0.27 and before (Niko Tyni).
        [BUGFIX] CPAN-RT#69986: setlogsock() doesn't return undef on failure
        (Niko Tyni).
        [BUGFIX] CPAN-RT#69997: Use the default UDP socket timeout on GNU/kFreeBSD
        as well, and lower it to a more sensible value (Niko Tyni).
        [BUGFIX] CPAN-RT#75827: syslog() logging everything regardless of log
        mask when using using numeric LOG_* macros (Bryan Thale).
        [TESTS] Added t/facilities-routing.t
        [DOC] Don't highlight "the Rules of Sys::Syslog" from the Description.
        [DIST] Add meta-information in Makefile.PL

0.30 -- 2012.08.15 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] CPAN-RT#69310: Avoid a POSIX::strftime issue on Windows
        (Michael Ludwig).
        [BUGFIX] CPAN-RT#77577: Build on Haiku-OS (Tony Cook).
        [BUGFIX] CPAN-RT#77578: Silence a compilation warning (Tony Cook).
        [BUGFIX] CPAN-RT#78044: Don't call getservbyname() when the port is
        specified (Chan Wilson).
        [TESTS] t/syslog.t no longer needs to chdir under PERL_CORE.

0.29 -- 2011.04.18 -- Sebastien Aperghis-Tramoni (SAPER) #PerlQA2011
        [BUGFIX] CPAN-RT#55215: Sys::Syslog might call exit which triggers
        DESTROY (Alexander Berger).
        [BUGFIX] CPAN-RT#55151: Allow temporary facility with native mechanism
        (Tim Jenkins).
        [BUGFIX] CPAN-RT#50928: Convert Win32 files to Unix EOLs (Steve Hay).
        [BUGFIX] CPAN-RT#50534: Unwanted space at the end of syslog message
        (Eugene V. Lyubimkin).
        [BUGFIX] CPAN-RT#49877: Options not reset after closelog() (Herbert Brezina).
        [BUGFIX] CPAN-RT#48386: Add Win32::EventLog as a prerequisite (kmx and
        Laurent Dami).
        [FEATURE] CPAN-RT#50534: Added options noeol and nonul.
        [DIST] Set INSTALLDIRS to "site" when installed on Perl 5.11+

0.28 -- 2011.04.16 -- Sebastien Aperghis-Tramoni (SAPER) #PerlQA2011
        [BUGFIX] CPAN-RT#56084: Reset connection tracking vars (Vladimir Marek).
        [BUGFIX] CPAN-RT#56826: Avoid memory corruption when closelog() is
        called twice (Andreas Jaekel).
        [BUGFIX] CPAN-RT#64287: Make strftime() Windows-compatible (Dave Stafford).
        [FEATURE] New API for setlogsock(), in order to allow the setting
        of new options. Thanks to Jake Scott for the idea.
        [CODE] Modify can_load() so it can print the warnings if desired.
        [CODE] CPAN-RT#44410: Provide fallback macros in Syslog.xs in
        order to compile on Novell Netware.
        [TESTS] In blead, the distribution was moved from ext/Sys/Syslog
        to ext/Sys-Syslog. t/constants.t had to be fixed (Vincent Pit).
        [TESTS] CPAN-RT#53317: In core, Sys-Syslog was moved to cpan/, thus
        making t/constants.t unable to find macros.all (David Mitchell).
        [TESTS] CPAN-RT#64716: Skip t/data-validation.t if the available
        version of POE::Component::Server::Syslog is too old.
        [DIST] Bleadperl no longer require an empty MAN3PODS (Nicholas Clark).
        [DIST] Removed unneeded modules in Makefile.PL (Nicholas Clark).
        [DOC] Recreated Sys::Syslog history from the unified git repository.
        [DOC] Added a section to list the matching Perl and Sys::Syslog version.
        [DOC] CPAN-RT#49859: Removed a dead link (Leon Brocard).

0.27 -- 2008.09.21 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] Fixed compilation on Win32, thanks to Serguei Trouchelle.
        Also added stubs so calling the XS functions will never fail.
        [TESTS] t/pod.t now also uses Pod::Checker.

0.26 -- 2008.06.16 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] Make Sys::Syslog works with Perl 5.10.0 (because of 
        ExtUtils::Constant::ProxySubs).
        [CODE] setlogsock() is now a little more strict about its arguments.

0.25 -- 2008.05.17 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] CPAN-RT#34691: Fixed an incorrect call to sysopen() which
        prevented Sys::Syslog from working on some Solaris systems. 
        Thanks to Paul Townsend. 
        [BUGFIX] CPAN-RT#34753: Fixed a slowness introduced in v0.19 (which 
        was to work around OSX syslog own slowness). Thanks to Alex Efros.
        [BUGFIX] CPAN-RT#35952: Fixed a bug with the "nofatal" option.
        [BUGFIX] CPAN-RT#35189: Fixed a bug in xlate().
        [BUGFIX] Fixed build on Win32, thanks to Adam Kennedy.
        [FEATURE] setlogsock() now interprets the second argument as the 
        hostname for network mechanisms.
        [DIST] Add AUTHOR to WriteMakefile() in order to fix the META.yml
        generated by ExtUtils::MakeMaker.
        [TESTS] Improved t/pod.t with Pod::Checker.

0.24 -- 2007.12.31 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] CPANT-RT#32001: Skip the setlogsock('stream') tests when 
        /dev/log is unavailable (Brendan O'Dea).

0.23 -- 2007.11.12 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] Fixed a too liberal test in the "pipe" mechanism, thanks
        to Jan Dubois.
        [DIST] fallback/syslog.h was missing from MANIFEST (thanks to CPAN 
        Tester Matthew Musgrove).
        [TESTS] Better handling of Perl 5.005, thanks to CPAN Tester Slaven Rezic.

0.22 -- 2007.11.08 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] CPAN-RT#29875: Added workaround SpamAssassin overzealous
        logging features.
        [FEATURE] Added support for PERROR option.
        [FEATURE] Support for SYSLOG on z/OS, thanks to Chun Bing Ge.
        [CODE] Prevent $@ from being visible outside the module, in trying 
        to address the problem reported in CPAN-RT#29875.
        [DOC] CPAN-RT#29451: Add Copyright notice. Thanks to Allison Randal
        for her advice.
        [DOC] New speaking about Win32 API instead of Win32 operating system.

0.21 -- 2007.09.14 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] setlogsock(eventlog) returned true even when it shouldn't have.
        [BUGFIX] CPAN-RT#24431: Added workaround for Mac OS X syslogd.
        [FEATURE] Added "pipe" mechanism in order to support HP-UX named pipe.
        Thanks to H.Merijn Brand and PROCURA.
        [CODE] Sys::Syslog works again on Perl 5.005, thanks to Nicholas Clark.

0.20 -- 2007.09.05 -- Sebastien Aperghis-Tramoni (SAPER)
        [DOC] Added README.win32 which was missing in MANIFEST.

0.19 -- 2007.09.05 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] CPAN-RT#20635: Fix tests to avoid problems related to the 
        "stream" mechanism which occured on Debian and Cygwin.
        [BUGFIX] CPAN-RT#20780: Facility could not be temporarily changed.
        Also fixes the syslog() before openlog() bug.
        [BUGFIX] CPAN-RT#21333: Makefile.PL now creates a typemap for Perl 5.6.1
        [BUGFIX] CPAN-RT#21516: disconnect_log() now correctly calls closelog_xs().
        [BUGFIX] CPAN-RT#21866: Silence warnings in openlog().
        [BUGFIX] CPAN-RT#25488: Silence warnings in disconnect_log().
        via syslog().
        [BUGFIX] Rewrote the constants generation code in order to provide 
        fallback value for non-standard macros.
        [BUGFIX] Mark Blackman and Edmund von der Burg identified and fixed the
        random failures appearing on OSX, caused by a UDP timeout.
        [FEATURE] Added Win32 event log support thanks to Yves Orton.
        [FEATURE] Added new macros from modern BSD and IRIX.
        [FEATURE] Each non-standard macro now fall backs to a standard macro.
        [CODE] Merged changes from Jerry D. Hedden to use ppport.h only when not
        built from core distribution (blead@30657).
        [TESTS] t/syslog.t now generates a more detailed TAP output.
        [TESTS] Merged change blead@29176: suppress taint mode from t/constants.t
        [TESTS] Added regression tests for CPAN-RT#21866 and #25488.
        [EG] Added example script eg/syslog.pl
        [DOC] CPAN-RT#26097: man pages were not installed.
        [DOC] Added the Sys::Syslog Rules.

0.18 -- 2006.08.28 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] Rewrote the way the default identifiant is constructed.
        [TESTS] CPAN-RT#20946: Removed the console mechanism from the main 
        test loop because writing to the console hangs on several systems.
        [DOC] Added a note discouraging the use of setlogsock().

0.17 -- 2006.07.23 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] CPAN-RT#20622, #20164: Fixed path handling in connect_unix().
        [CODE] Renamed some variables ($that is not a valid name), and removed 
        some dead code. 
        [CODE] Actually added the macros from Mac OS X that were announced in 
        the 0.14 version.
        [DOC] CPAN-RT#20545: Rewrote the documentation about setlogsock().

0.16 -- 2006.06.20 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] Perl-RT#20557: Save errno before trying to connect.
        [FEATURE] Perl-RT#35406: Applied the patch proposed by Keisuke Hirata 
        for a more lax handling of "stream" or "unix" path.
        [FEATURE] Now try the "native" mechanism first.
        [TESTS] Silence warnings generated by t/syslog.t in Perl 5.8.8 and 
        later.
        [DOC] Added documentation about the "native" mechanism.
        [DOC] Now indicates whether tickets are from CPAN or Perl RT.

0.15 -- 2006.06.10 -- Sebastien Aperghis-Tramoni (SAPER)
        [FEATURE] CPAN-RT#17316: Added a "nofatal" option to openlog().
        [FEATURE] Sys::Syslog warnings can now be controlled by the warnings
        category of the same name.
        [FEATURE] Added support for using the native C syslog(3) functions.
        [CODE] Removed most "our" variables.
        [CODE] Improved readability by removing cargo-cult brackets and 
        parentheses.

0.14 -- 2006.05.25 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] CPAN-RT#19259, #17518: Now allowing all levels and facilities.
        [CODE] Removed useless "&".
        [CODE] Improved readability by adding empty lines and reworking the 
        code here and there.
        [CODE] Added new macros from Mac OS X.
        [TESTS] Added more tests in order to increase coverage.
        [DOC] CPAN-RT#19085: Corrected errors in the documentation for setlogmask().
        [DOC] Added several links to online manual pages, RFCs and articles.
        [DOC] Corrected minor things in Changes.

0.13 -- 2006.01.11 -- Sebastien Aperghis-Tramoni (SAPER)
        [CODE] Applied Gisle Aas patch for a better handling of error messages,
        then optimized it. 
        [CODE] Merged blead@26768: If getservbyname fails tell what service 
        the lookup attempt tried to use.
        [CODE] Merged blead@26769: suppress Sys::Hostname usage and directly 
        use INADDR_LOOPBACK.
        [CODE] Merged blead@26772: $host needs to stay in case the user sets it.
        [CODE] Merged blead@26773: check that $syslog_path is a socket.
        [TESTS] CPAN-RT#16980: Sys::Syslog blows up rather spectacularly on 
        Solaris. Corrected by previous patches. 
        [TESTS] CPAN-RT#16974: Failed test in t/podspell. This test is now skipped.

0.12 -- 2006.01.07 -- Sebastien Aperghis-Tramoni (SAPER)
        [DOC] Added a link to an article about Sys::Syslog.
        [TESTS] Merged some modifications from bleadperl.
        [TESTS] Removed optional dependency on Test::Exception.
        [TESTS] Improved t/constant.t
        [TESTS] Rewrote t/constants.t because future versions of 
        ExtUtils::Constant will prevent the constant() function from 
        being directly called.

0.11 -- 2005.12.28 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] setlogmask() now behaves like its C counterpart.
        [FEATURE] Can now export and use the macros. 
        [FEATURE] Support for three Exporter tags.
        [FEATURE] XSLoader is now optional.
        [CODE] No longer "use"s Sys::Hostname as it was "require"d where needed.
        [CODE] CPAN-RT#16604: Use local timestamp.
        [DIST] Merged blead@26343: Fix realclean target.
        [DOC] Improved documentation.
        [TESTS] Added more tests to t/syslog.t in order to increase code coverage.

0.10 -- 2005.12.08 -- Sebastien Aperghis-Tramoni (SAPER)
        [DOC] Improved documentation.
        [TESTS] Added -T to t/syslog.t
        [TESTS] Added t/constants.t to check the macros.
        [TESTS] Added t/distchk.t, t/podspell.t, t/podcover.t, t/portfs.t

0.09 -- 2005.12.06 -- Sebastien Aperghis-Tramoni (SAPER)
        [BUGFIX] Escape percent signs in error message when interpolating %m
        (Ronald J. Kimball).
        [CODE] Now setlogsock() really croak(), as documented.
        [DIST] CPANized from blead@26281.
        [DIST] Modified Makefile.PL so that ExtUtils::Constant is conditionally 
        used, with a fallback in the case it's not available.
        [DIST] Bumped version to 0.09
        [DOC] Added support and license information.
        [TESTS] Rewrote and ported t/syslog.t to Test::More

0.08 -- 2005.12.03
        [FEATURES] syslog() can now accept a message without printf() escapes
        and arguments (Gisle Aas ).
        [DOC] Document that openlog() might die (Rafael Garcia-Suarez).

0.07 -- 2005.06.27
        [CODE] Use XSLoader instead of DynaLoader (Alexey Tourbin).
        [DOC] Shows the correct way to use syslog() (Dave Mitchell).

0.06 -- 2004.12.14
        [FEATURE] Allow escaping %m as %%m in Sys::Syslog format strings (Rafael
        Garcia-Suarez, suggested by Joshua Richardson and Yitzchak Scott-Thoennes).
        [CODE] Make Sys::Syslog stricture-compliant (Rafael Garcia-Suarez).
        [DOC] Document $Sys::Syslog::host (Jay Hannah).

0.05 -- 2004.04.06
        [FEATURE] IRIX wants setlogsock("stream") (Jarkko Hietaniemi).
        [FEATURE] Allow syslog() to use numeric constants in addition to strings
        for facility names and priorities (Jim Schneider ).
        [DOC] Remind users to always use openlog() (Jarkko Hietaniemi).

0.04 -- 2003.08.13
        [BUGFIX] Do not use "udp" on some platforms (Slaven Rezic).
        [BUGFIX] Perl-RT#18180: Fixed a problem with Sys:Syslog on Solaris 8
        with perl 5.8.0 (Joost van Baal).
        [BUGFIX] Fixed some warnings (Jarkko Hietaniemi).
        [BUGFIX] Better error messages (Jari Aalto).

0.03 -- 2002.03.23
        [BUGFIX] Fixed copious warnings from Sys::Syslog (Andreas König).
        [FEATURE] Failover to different communication modes by Nick Williams.

0.02 -- 2001.06.04
        [BUGFIX] /dev/console may not be writable in Syslog.pm (Ask Bjoern Hansen).
        [BUGFIX] Fixed for accidental arguments to autoloaded constants (Gurusamy Sarathy).
        [BUGFIX] Make _PATH_LOG() return "" if not available (Gurusamy Sarathy).
        [BUGFIX] Forked child may not exit correctly if it failed to open
        /dev/console (Graham Barr).
        [BUGFIX] More checking in case someone has broken their services or
        protocol databases (Robert Spier).
        [BUGFIX] xlate() doesn't handle LOG_EMERG (Mark J. Reed).
        [CODE] Code for constant()s regenerated by Nicholas Clark.
        [TESTS] Added syslog.t to check if Sys::Syslog works (Tom Hughes).

0.01 -- 2000.02.04 -- Gurusamy Sarathy
        [FEATURE] Sys::Syslog now uses XSUBs to access facilities from syslog.h
        so it no longer requires syslog.ph to exist. Thanks to Tom Hughes.
        As a consequence, Sys::Syslog moved from lib/ to ext/.

perl 5.004_03 -- 1997.09.05 -- Tim Bunce
        [BUGFIX] Handle missing _PATH_LOG (Ulrich Pfeifer).

perl 5.004_02 -- 1997.08.07 -- Tim Bunce
        [FEATURE] UNIX domain sockets support, by Sean Robinson and Tim Bunce.

perl 5.004_01 -- 1997.06.11 -- Tim Bunce
        [BUGFIX] Allows FQDN (even allowing "_").

perl 5.004 -- 1997.05.15 -- Chip Salzenberg
        [BUGFIX] Fixed $whoami calulation (Marc Rouleau).
        [BUGFIX] Allows hyphens in hostnames (Jerome Abela).

perl 5.003_01 -- 1996.06.18 -- Charles Bailey
        [CODE] Moved call to hostname() into connect() function, and eliminated
        domain suffix.
        [DOC] Correct documentation for calling sequence of syslog() function.

perl 5.002_01 -- 1996.03.25 -- Charles Bailey
        [CODE] Use Sys::Hostname::hostname() only when necessary.

perl 5.002 -- 1996.02.29 -- Larry Wall
        [CODE] Use constants from Socket.pm (Andy Dougherty).
        [CODE] Connect to the name given by Sys::Hostname::hostname() instead
        of "localhost" (Andy Dougherty).
        [DOC] Added documentation, thanks to Hallvard B Furuseth.

perl 5.000 -- 1994.10.17 -- Larry Wall
        [DIST] Converted from lib/syslog.pl to lib/Sys/Syslog.pm
